Payment Update

Purpose

Use the payment update webhook to receive the result of an asynchronous payment request. The event reports a payment status of authorized or refused and includes the payment ID and gateway metadata.

Payment Authorization
Before proceeding to finalise checkout, you must confirm that "status": "authorized" is received for the payment.

{
  "paymentId": "68ee0b062744b20a958dae54",
  "status": "authorized",
  "metadata": {
    "gatewayProfileLinkId": "68eaa1df8c4c3ca7c569dc5c",
    "methodRaw": "visa"
  }
}
{
  "paymentId": "68ee0b062744b20a958dae54",
  "status": "refused",
  "metadata": {
    "gatewayProfileLinkId": "68eaa1df8c4c3ca7c569dc5c",
    "methodRaw": "visa"
  }
}
Body Params
string
required
string
enum
required
Allowed:
string
required
string
enum
required
Allowed:
Response
200
Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here!